multiway_mergesort.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_parallel::_Piece< _DifferenceTp >
struct | __gnu_parallel::_PMWMSSortingData< _RAIter >
struct | __gnu_parallel::_SplitConsistently< __exact, _RAIter, _Compare, _SortingPlacesIterator >
struct | __gnu_parallel::_SplitConsistently< false, _RAIter, _Compare, _SortingPlacesIterator >
struct | __gnu_parallel::_SplitConsistently< true, _RAIter, _Compare, _SortingPlacesIterator >

## Namespaces

| __gnu_parallel

## Functions

template<typename _RAIter , typename _DifferenceTp >
void | __gnu_parallel::__determine_samples (_PMWMSSortingData< _RAIter > *__sd, _DifferenceTp __num_samples)
template<bool __stable, bool __exact, typename _RAIter , typename _Compare >
void | __gnu_parallel::parallel_sort_mwms (_RAIter __begin, _RAIter __end, _Compare __comp, _ThreadIndex __num_threads)
template<bool __stable, bool __exact, typename _RAIter , typename _Compare >
void | __gnu_parallel::parallel_sort_mwms_pu (_PMWMSSortingData< _RAIter > *__sd, _Compare &__comp)

## Detailed Description

Parallel multiway merge sort. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file multiway_mergesort.h.